Subject: bug#41242: Port feature/native-comp to Windows

From: Andrea Corallo <[email-masked]>
Date: Wed, 13 May 2020 19:56:46 +0000

Nicolas Bértolo <[email-masked]> writes:

> The attached patches contain changes to make the feature/native-comp branch work
> on Windows.
>
> There are a few remaining issues:
>
> * The loading process is very slow. This is especially annoying when coupled
>   with autoloading. For example, autoloading Helm may stall Emacs for 5 seconds
>   in my machine.
>
>   I have thought a possible solution to this problem: load the byte-compiled
>   file and put the native-compiled version in a list. Then load that list one by
>   one on an idle-timer, that way the UI freezes should be minimized. This could
>   reuse the "late loading" machinery implemented for deferred compilation.

That's an option, but before implementing any machinery base on a timers
we need to profile to understand where we are loosing the time.

The timer is a mitigation but will still freeze the editor so it's a
last resource.

What is the state of your paperwork?  I guess still ongoing am I
correct?

Thanks

  Andrea

-- 
[email-masked]